summaryrefslogtreecommitdiffstats
path: root/source/a/gpm
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/gpm')
-rwxr-xr-xsource/a/gpm/gpm.SlackBuild8
-rw-r--r--source/a/gpm/gpm.configure.diff12
2 files changed, 19 insertions, 1 deletions
diff --git a/source/a/gpm/gpm.SlackBuild b/source/a/gpm/gpm.SlackBuild
index 42ea90a9d..f5a6ded8b 100755
--- a/source/a/gpm/gpm.SlackBuild
+++ b/source/a/gpm/gpm.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2014, 2018, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2014, 2018, 2021, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -99,6 +99,12 @@ sh autogen.sh
# into configure:
autoconf
+# Since we aren't installing any Emacs Lisp files anyway, just brutally
+# hack around this failing part of ./configure. This may be a brittle
+# solution, so if it doesn't apply just go ahead and try without this
+# patch and see if it's working or not.
+zcat $CWD/gpm.configure.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
diff --git a/source/a/gpm/gpm.configure.diff b/source/a/gpm/gpm.configure.diff
new file mode 100644
index 000000000..7b3578e9a
--- /dev/null
+++ b/source/a/gpm/gpm.configure.diff
@@ -0,0 +1,12 @@
+--- ./configure.orig 2023-09-28 14:00:16.498715386 -0500
++++ ./configure 2023-09-28 14:00:55.205713245 -0500
+@@ -12426,8 +12426,7 @@
+ then :
+ printf %s "(cached) " >&6
+ else $as_nop
+- eval itz_cv_path_site_lisp=`${EMACS} -batch -l ${srcdir}/exec.el -exec "(mapcar 'print load-path)" 2>/dev/null |
+-sed -e '/^$/d' | sed -n -e 2p`
++ eval
+ case x${itz_cv_path_site_lisp} in
+ x*site-lisp*) ;;
+ x*) itz_cv_path_site_lisp='${datadir}/emacs/site-lisp' ;;